export interface FieldsType {
    field_name: string;
    answer: string;
    c_date?: string;
}
export interface GenericFormResponse {
    return_error: string;
    submitted: number | string;
    form_name: string;
    entity_id: string;
    sub_form: string;
    entity_type: string;
    entry_list: FieldsType[];
    command: string;
}
export declare const storeFormData: (formName: string, entryList: FieldsType[], teamId: string) => Promise<GenericFormResponse & {
    command: 'store';
}>;
export declare const getFormData: (formName: string, teamId: string, subForm?: string | undefined) => Promise<GenericFormResponse & {
    command: 'store';
}>;
export declare const submitForm: (formName: string, teamId: string) => Promise<GenericFormResponse & {
    command: 'submit';
}>;
export declare const unsubmitForm: (formName: string, teamId: string) => Promise<GenericFormResponse & {
    command: 'return_form';
}>;
export interface GetInfoFormResponse {
    track: string;
    team_name: string;
    full_name: string;
    sub_forms: Array<{
        sub_form: string;
        submitted: number | string;
    }>;
    user_name: string;
    entity_id: string;
    entity_type: string;
}
export declare const getFormInfo: (formName: string, teamId: string) => Promise<GetInfoFormResponse>;
export interface UserInfoFormResponse {
    user_name: string;
    full_name: string;
    is_super: 'true' | 'false';
}
export declare const getUserInfo: () => Promise<UserInfoFormResponse>;
